<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.goldenwater.slaj.eng.mapper.AttEngCwsMapper">
    <resultMap type="com.goldenwater.slaj.eng.domain.AttEngCws" id="AttEngCwsResult">
        <result property="guid" column="guid"/>
        <result property="pGuid" column="p_guid"/>
        <result property="engName" column="eng_name"/>
        <result property="engGuid" column="eng_guid"/>
        <result property="impoGrad" column="impo_grad"/>
        <result property="apprBudg" column="appr_budg"/>
        <result property="startDate" column="start_date"/>
        <result property="compDate" column="comp_date"/>
        <result property="engStat" column="eng_stat"/>
        <result property="orgGuid" column="org_guid"/>
        <result property="oflpCode" column="oflp_code"/>
        <result property="ifReinForce" column="if_rein_force"/>
        <result property="projGuid" column="proj_guid"/>
        <result property="stat" column="stat"/>
        <result property="cwsCode" column="cws_code"/>
        <result property="cenLong" column="cen_long"/>
        <result property="cenLat" column="cen_lat"/>
        <result property="cwsLoc" column="cws_loc"/>
        <result property="adGuid" column="ad_guid"/>
        <result property="engType" column="eng_type"/>
        <result property="wintWsType" column="wint_ws_type"/>
        <result property="wasuType" column="wasu_type"/>
        <result property="desWasuScal" column="des_wasu_scal"/>
        <result property="desWasuPop" column="des_wasu_pop"/>
        <result property="engScal" column="eng_scal"/>
        <result property="watePuri" column="wate_puri"/>
        <result property="note" column="note"/>
        <result property="collTime" column="coll_time"/>
        <result property="updTime" column="upd_time"/>
        <result property="recPers" column="rec_pers"/>
        <result property="engReinForceGuid" column="eng_rein_force_guid"/>
    </resultMap>

    <sql id="selectAttEngCwsVo">
        select guid, p_guid, eng_name, eng_guid, impo_grad, appr_budg, start_date, comp_date, eng_stat, org_guid, oflp_code, if_rein_force, proj_guid, stat, cws_code, cen_long, cen_lat, cws_loc, ad_guid, eng_type, wint_ws_type, wasu_type, des_wasu_scal, des_wasu_pop, eng_scal, wate_puri, note, coll_time, upd_time, rec_pers, eng_rein_force_guid from att_eng_cws
    </sql>

    <select id="selectByGuid" parameterType="String" resultMap="AttEngCwsResult">
        <include refid="selectAttEngCwsVo"/> where guid = #{guid}
    </select>

    <select id="selectList" parameterType="com.goldenwater.slaj.eng.domain.AttEngCws" resultMap="AttEngCwsResult">
        <include refid="selectAttEngCwsVo"/>
        <where>
            <if test="engName != null and engName != ''">and eng_name like '%' || #{engName} || '%'</if>
            <if test="engGuid != null and engGuid != ''">and eng_guid = #{engGuid}</if>
        </where>
    </select>

    <insert id="insert" parameterType="com.goldenwater.slaj.eng.domain.AttEngCws">
        insert into att_eng_cws (guid, p_guid, eng_name, eng_guid, impo_grad, appr_budg, start_date, comp_date, eng_stat, org_guid, oflp_code, if_rein_force, proj_guid, stat, cws_code, cen_long, cen_lat, cws_loc, ad_guid, eng_type, wint_ws_type, wasu_type, des_wasu_scal, des_wasu_pop, eng_scal, wate_puri, note, coll_time, upd_time, rec_pers, eng_rein_force_guid)
        values (#{guid}, #{pGuid}, #{engName}, #{engGuid}, #{impoGrad}, #{apprBudg}, #{startDate}, #{compDate}, #{engStat}, #{orgGuid}, #{oflpCode}, #{ifReinForce}, #{projGuid}, #{stat}, #{cwsCode}, #{cenLong}, #{cenLat}, #{cwsLoc}, #{adGuid}, #{engType}, #{wintWsType}, #{wasuType}, #{desWasuScal}, #{desWasuPop}, #{engScal}, #{watePuri}, #{note}, #{collTime}, #{updTime}, #{recPers}, #{engReinForceGuid})
    </insert>

    <update id="update" parameterType="com.goldenwater.slaj.eng.domain.AttEngCws">
        update att_eng_cws
        <set>
            <if test="pGuid != null and pGuid != ''">p_guid = #{pGuid},</if>
            <if test="engName != null and engName != ''">eng_name = #{engName},</if>
            <if test="engGuid != null and engGuid != ''">eng_guid = #{engGuid},</if>
            <if test="impoGrad != null and impoGrad != ''">impo_grad = #{impoGrad},</if>
            <if test="apprBudg != null and apprBudg != ''">appr_budg = #{apprBudg},</if>
            <if test="startDate != null">start_date = #{startDate},</if>
            <if test="compDate != null">comp_date = #{compDate},</if>
            <if test="engStat != null and engStat != ''">eng_stat = #{engStat},</if>
            <if test="orgGuid != null and orgGuid != ''">org_guid = #{orgGuid},</if>
            <if test="oflpCode != null and oflpCode != ''">oflp_code = #{oflpCode},</if>
            <if test="ifReinForce != null and ifReinForce != ''">if_rein_force = #{ifReinForce},</if>
            <if test="projGuid != null and projGuid != ''">proj_guid = #{projGuid},</if>
            <if test="stat != null and stat != ''">stat = #{stat},</if>
            <if test="cwsCode != null and cwsCode != ''">cws_code = #{cwsCode},</if>
            <if test="cenLong != null and cenLong != ''">cen_long = #{cenLong},</if>
            <if test="cenLat != null and cenLat != ''">cen_lat = #{cenLat},</if>
            <if test="cwsLoc != null and cwsLoc != ''">cws_loc = #{cwsLoc},</if>
            <if test="adGuid != null and adGuid != ''">ad_guid = #{adGuid},</if>
            <if test="engType != null and engType != ''">eng_type = #{engType},</if>
            <if test="wintWsType != null and wintWsType != ''">wint_ws_type = #{wintWsType},</if>
            <if test="wasuType != null and wasuType != ''">wasu_type = #{wasuType},</if>
            <if test="desWasuScal != null and desWasuScal != ''">des_wasu_scal = #{desWasuScal},</if>
            <if test="desWasuPop != null and desWasuPop != ''">des_wasu_pop = #{desWasuPop},</if>
            <if test="engScal != null and engScal != ''">eng_scal = #{engScal},</if>
            <if test="watePuri != null and watePuri != ''">wate_puri = #{watePuri},</if>
            <if test="note != null and note != ''">note = #{note},</if>
            <if test="collTime != null">coll_time = #{collTime},</if>
            <if test="updTime != null">upd_time = #{updTime},</if>
            <if test="recPers != null and recPers != ''">rec_pers = #{recPers},</if>
            <if test="engReinForceGuid != null and engReinForceGuid != ''">eng_rein_force_guid = #{engReinForceGuid},</if>
        </set>
        where guid = #{guid}
    </update>

    <delete id="deleteByGuid" parameterType="String">
        delete from att_eng_cws where guid = #{guid}
    </delete>

    <delete id="deleteByGuids" parameterType="String">
        delete from att_eng_cws where guid in
        <foreach item="guid" collection="array" open="(" separator="," close=")">#{guid}</foreach>
    </delete>
</mapper>
